package org.pf.joi.xml.test;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.UIManager;

import joi.JOI;

public class Example2 extends WindowAdapter
{
  public static void main( String[] args )
  {
    try
    {
      UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() ) ;
    }
    catch ( Exception ex ) {}
    Example2 example = new Example2() ;
    example.run() ;
  }

  public void run()
  {
  	Frame frame = new Frame() ;
  	frame.addWindowListener( this ) ;
  	frame.setSize( new Dimension( 100, 100 ) ) ;
  	frame.add( new TextArea() ) ;
  	frame.validate() ;
  	frame.setVisible( true ) ;
    JOI.printXml( "frame", frame ) ;
    JOI.printXml( "System_Properties", System.getProperties() ) ;
    JOI.printBasicXml( "System_Properties_Basic", System.getProperties() ) ;
    JOI.printXml( "Lynyrd Skynyrd" );
    System.exit( 0 ) ;
  }

	public void windowClosing(WindowEvent e)
	{
		super.windowClosing(e) ;
		System.exit( 0 ) ;
	}
}
